package refactoring.demo.rental;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Assert;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;


public class RentalTest {

	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}
	
	
	@Test
	public void testCustomerStatement() {
        Customer customer = new Customer("Paul");
        
        Movie movie1 = new Movie("Eyes Wide Shut", Movie.NEW_RELEASE);
        Movie movie2 = new Movie("Bambi", Movie.CHILDRENS);
                
        customer.addRental(new Rental(movie1, 2));
        customer.addRental(new Rental(movie2, 4));
                
//        System.out.println(customer.statement());
        
        String expectedResult = "Rental Record for Paul\n"
        	+ "\tEyes Wide Shut\t6.0\n"
        	+ "\tBambi\t3.0\n"
        	+ "Amount owed is 9.0";
        
        Assert.assertEquals(expectedResult, customer.statement());
    }
}
